/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

pragma Singleton
import QtQuick 2.5
import Mirai

QtObject {
	property QtObject palette: CatppuccinFrappe
    property string background: CatppuccinFrappe.base
	property string pane: CatppuccinFrappe.mantle
	property string text: CatppuccinFrappe.text
	property string textPlaceholder: CatppuccinFrappe.overlay1
	property string fieldBackground: CatppuccinFrappe.surface0
	property string buttonIcon: CatppuccinFrappe.sapphire
	property string buttonBackground: CatppuccinFrappe.surface0
	property string buttonHovered: CatppuccinFrappe.surface1
	property string filterHovered: CatppuccinFrappe.surface0
	property string filterSelected: CatppuccinFrappe.surface1
	property string modalBorder: CatppuccinFrappe.lavender
	property string calendarLines: CatppuccinFrappe.surface0
	property string calendarCurrentTime: CatppuccinFrappe.red
	property string calendarEvent: CatppuccinFrappe.overlay0
}
